Loading...
Searching...
No Matches
Magick::PathMovetoRel Class Reference
Inheritance diagram for Magick::PathMovetoRel:

## Public Member Functions

| PathMovetoRel (const Magick::Coordinate &coordinate_)
| PathMovetoRel (const CoordinateList &coordinates_)
| PathMovetoRel (const PathMovetoRel &original_)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const

## Private Attributes

CoordinateList | _coordinates

## Detailed Description

Definition at line 3113 of file Drawable.h.

## Constructor & Destructor Documentation

## PathMovetoRel() [1/3]

Magick::PathMovetoRel::PathMovetoRel | ( | const Magick::Coordinate & | coordinate_ | ) |

Definition at line 2467 of file Drawable.cpp.

: _coordinates(1,coordinate_)
{
}

## PathMovetoRel() [2/3]

Magick::PathMovetoRel::PathMovetoRel | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 2471 of file Drawable.cpp.

: _coordinates(coordinates_)
{
}

## PathMovetoRel() [3/3]

Magick::PathMovetoRel::PathMovetoRel | ( | const PathMovetoRel & | original_ | ) |

Definition at line 2475 of file Drawable.cpp.

: VPathBase (original_),
_coordinates(original_._coordinates)
{
}

## ~PathMovetoRel()

Magick::PathMovetoRel::~PathMovetoRel | ( | void |  | ) |

Definition at line 2480 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::VPathBase * Magick::PathMovetoRel::copy | ( |  | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2491 of file Drawable.cpp.

{
return new PathMovetoRel(*this);
}

## operator()()

void Magick::PathMovetoRel::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2483 of file Drawable.cpp.

{
for( CoordinateList::const_iterator p = _coordinates.begin();
p != _coordinates.end(); p++ )
{
DrawPathMoveToRelative( context_, p->x(), p->y() );
}
}

## Field Documentation

## _coordinates

CoordinateList Magick::PathMovetoRel::_coordinates

private

Definition at line 3135 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp